package com.naaturel.ANN.implementation.training.steps;

import com.naaturel.ANN.domain.abstraction.AlgorithmStrategy;
import com.naaturel.ANN.domain.abstraction.TrainingContext;
import com.naaturel.ANN.domain.abstraction.TrainingStep;

public class LossStep implements TrainingStep {


    private final AlgorithmStrategy lossStrategy;

    public LossStep(AlgorithmStrategy strategy) {
        this.lossStrategy = strategy;
    }

    @Override
    public void run() {
        this.lossStrategy.apply();
    }
}
